Module | Spec::Example::ModuleReopeningFix
In: | lib/spec/example/module_reopening_fix.rb

This is a fix for …Something in Ruby 1.8.6??… (Someone fill in here please - Aslak)

### Methods

child_modules include included

### Public Instance methods

child_modules()

[Source]

       # File lib/spec/example/module_reopening_fix.rb, line 5
    5:       def child_modules
    6:         @child_modules ||= []
    7:       end

include(mod)

[Source]

        # File lib/spec/example/module_reopening_fix.rb, line 13
    13:       def include(mod)
    14:         super
    15:         child_modules.each do |child_module|
    16:           child_module.__send__(:include, mod)
    17:         end
    18:       end

included(mod)

[Source]

        # File lib/spec/example/module_reopening_fix.rb, line 9
     9:       def included(mod)
    10:         child_modules << mod
    11:       end

[Validate]